mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.GenericAcl

The class allows full manipulation of Access Control Entries (ACEs). It does not enforce ordering rules for ACEs and does not provide validation logic. Any ACE can be inserted, modified, or removed at any location in the ACL.

Represents an Access Control List (ACL).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified revision level.

  The revision level of the new Access Control List (ACL).
  The number of Access Control Entries (ACEs) this object can contain. This number is to be used only as a hint.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class from the specified binary form.

  An array of byte values that represent an Access Control List (ACL).
  The offset in the parameter at which to begin unmarshaling data.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. This length should be used before marshaling the ACL into a binary array with the method.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of access control entries (ACEs) in the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Marshals the contents of the object into the specified byte array beginning at the specified offset.

  The byte array into which the contents of the is marshaled. The offset at which to start marshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The inserted ACE is not cloned before insertion, so any modifications to the ACE after it has been inserted are reflected in the Access Control List (ACL).

  Inserts the specified Access Control Entry (ACE) at the specified index.

  The position at which to add the new ACE. Specify the value of the property to insert an ACE at the end of the object. The ACE to insert.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.GenericAce `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the Access Control Entry (ACE) at the specified location.

  The zero-based index of the ACE to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.Byte To be added. To be added.

  Gets the revision level of the .